#
# spec file for package attr (Version 2.4.34)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           attr
Group:          System/Filesystems
Autoreqprov:    on
Summary:        A Command to Manipulate File System Extended Attributes
Version:        2.4.34
Release:        0.7
Source:         %{name}-%{version}.src.tar.bz2
Source1:        xattr.conf
Patch0:         builddefs.in.diff
Patch1:         xattr_conf.diff
URL:            ftp://oss.sgi.com/projects/xfs/cmd_tars
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
License:        GNU General Public License (GPL)
Conflicts:      xfsdump < 2.0.0

%description
A set of tools for manipulating extended attributes on file system
objects, in particular getfattr(1) and setfattr(1). An attr(1) command
is also provided, which is largely compatible with the SGI IRIX tool of
the same name.



Authors:
--------
    Andreas Gruenbacher <a.gruenbacher@computer.org>
    SGI

%debug_package
%package -n libattr
Summary:        A dynamic library for filesystem extended attribute support
Autoreqprov:    on
Group:          System/Libraries

%description -n libattr
This package contains the libattr.so dynamic library.It contains the
extended attribute system calls and library functions.



Authors:
--------
    Andreas Gruenbacher <a.gruenbacher@computer.org>
    SGI

%package -n libattr-devel
Summary:        Include Files and Libraries mandatory for Development
Autoreqprov:    on
Group:          Development/Libraries/C and C++
Provides:       attr-devel
Obsoletes:      attr-devel
Requires:       libattr = %{version}

%description -n libattr-devel
This package contains the libraries and header files needed to develop
programs which make use of extended attributes. For Linux programs, the
documented system call API is the recommended interface, but an SGI
IRIX compatibility interface is also provided.



Authors:
--------
    SGI

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
export OPTIMIZER="$RPM_OPT_FLAGS -fPIC"
export DEBUG=-DNDEBUG
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=/ \
	--exec-prefix=/ \
	--sbindir=/bin \
	--bindir=%{_bindir} \
	--mandir=%{_mandir} \
	--includedir=%{_includedir} \
	--libdir=/%{_lib} \
	--datadir=/usr/share \
	--libexecdir=/%{_libdir}
make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
ln -sf /%{_lib}/$(readlink $RPM_BUILD_ROOT/%{_lib}/libattr.so) \
	$RPM_BUILD_ROOT/%{_libdir}/libattr.so
rm -f $RPM_BUILD_ROOT/%{_lib}/libattr.{a,la,so}
rm -f $RPM_BUILD_ROOT%{_mandir}/man2/*xattr.2*
rm -f $RPM_BUILD_ROOT/%{_libdir}/libattr.la
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 %_sourcedir/xattr.conf $RPM_BUILD_ROOT/%{_sysconfdir}/
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libattr -p /sbin/ldconfig

%postun -n libattr -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-,root,root)
%dir %attr(755,root,root) /usr/share/doc/packages/attr
%dir %attr(755,root,root) /usr/share/doc/packages/attr/ea-conv
%doc %attr(644,root,root) /usr/share/doc/packages/attr/README
%doc %attr(644,root,root) /usr/share/doc/packages/attr/CHANGES.gz
%doc %attr(644,root,root) /usr/share/doc/packages/attr/COPYING
%doc %attr(644,root,root) /usr/share/doc/packages/attr/PORTING
%doc %attr(644,root,root) /usr/share/doc/packages/attr/ea-conv/README
%doc %attr(755,root,root) /usr/share/doc/packages/attr/ea-conv/ea-conv
%doc %attr(644,root,root) %{_mandir}/man1/attr.1.gz
%doc %attr(644,root,root) %{_mandir}/man1/getfattr.1.gz
%doc %attr(644,root,root) %{_mandir}/man1/setfattr.1.gz
%doc %attr(644,root,root) %{_mandir}/man5/attr.5.gz
%attr(755,root,root) %{_bindir}/attr
%attr(755,root,root) %{_bindir}/getfattr
%attr(755,root,root) %{_bindir}/setfattr

%files -n libattr-devel
%defattr(-,root,root)
%dir %attr(755,root,root) %{_includedir}/attr
%attr(644,root,root) %{_includedir}/attr/attributes.h
%attr(644,root,root) %{_includedir}/attr/error_context.h
%attr(644,root,root) %{_includedir}/attr/libattr.h
%attr(644,root,root) %{_includedir}/attr/xattr.h
%attr(644,root,root) %{_libdir}/libattr.a
%attr(755,root,root) %{_libdir}/libattr.so
%doc %attr(644,root,root) %{_mandir}/man3/attr_get.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_list.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_multi.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_remove.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_set.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_getf.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_listf.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_multif.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_removef.3.gz*
%doc %attr(644,root,root) %{_mandir}/man3/attr_setf.3.gz*

%files -n libattr
%defattr (755,root,root)
/%{_lib}/libattr.so.1*
%config %{_sysconfdir}/xattr.conf

%changelog
* Fri Jan 12 2007 - agruen@suse.de
- Update to 2.4.34:
  * Fix a double-free error in attr_copy_fd / attr_copy_file.
  * Translation updates; some minor build environment fixes.
  (Fate #301374)
* Thu Oct 05 2006 - agruen@suse.de
- /etc/xattr.conf: Allow to configure which attributes to skip
  when copying, and which attributes contain file permissions
  (169033).
* Sat Mar 18 2006 - aj@suse.de
- Remove .la package that was introduced in last change and breaks
  build of many packages.
* Fri Mar 17 2006 - agruen@suse.de
- Fix symlinks in the -devel package (149945, Nathan Scott).
* Tue Mar 07 2006 - agruen@suse.de
- xfs-cmds-25263a-fix-list_attr-segfault: Fix a possible segfault
  in the attr_list compat function (155746).
* Sat Feb 18 2006 - agruen@suse.de
- Add xfs-cmds-25211a-skip-DMF-attributes-on-copy-also patch from
  SGI (151782).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - mjancar@suse.cz
- update to 2.4.28
  * Implement the IRIX list_attr interfaces
* Wed Nov 02 2005 - schwab@suse.de
- Use RPM_OPT_FLAGS.
* Fri Aug 26 2005 - agruen@suse.de
- Update to version 2.4.24: integrates two patches we had
  separately before; add a missing space in an error message;
  an error path fix in setfattr. No API/ABI changes in libattr.
* Fri Aug 19 2005 - kukuk@suse.de
- Move devel files from / to /usr
- Don't generate filelist dynamic (fix broken attr statements)
* Mon Jun 06 2005 - agruen@suse.de
- Bump version number to 2.4.23.
* Thu Jun 02 2005 - agruen@suse.de
- reduce-verboseness.diff: attr_copy_{fd,file}: Don't report an
  error for each attribute copy that fails with ENOSYS, but report
  such failures only once (85646).
* Mon Feb 21 2005 - agruen@suse.de
- Update to version 2.4.22. Various fixes.
* Fri Aug 13 2004 - mjancar@suse.cz
- update to 2.4.16
* Tue Jan 27 2004 - kukuk@suse.de
- Don't include man2/*xattr.2 manual pages, use the copy from
  the man-pages package (so we have documentation for the glibc
  functions, too).
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jan 01 2004 - agruen@suse.de
- Update to version 2.4.12. Bug fix in directory tree walking
  code.
* Wed Oct 22 2003 - kukuk@suse.de
- Fix provides/requires for update case
* Thu Aug 28 2003 - agruen@suse.de
- Fix a bug with error handling while walking directory trees.
* Thu Aug 28 2003 - ro@suse.de
- fix patch-depth in specfile
* Wed Aug 27 2003 - agruen@suse.de
- Fix SIGSEGV if the quote function.
* Fri Aug 15 2003 - agruen@suse.de
- Update to 2.4.8: Fixes SIGSEGV if the quote/unquote functions
  are passed NULL arguments.
* Sat Jul 26 2003 - agruen@suse.de
- Update to 2.4.6 + additional patch to be merged upstream.
* Mon Jun 16 2003 - jderfina@suse.cz
- File list fixed.
* Wed Apr 16 2003 - jderfina@suse.cz
- Update to 2.4.2
* Sun Apr 06 2003 - agruen@suse.de
- Update to 2.4.1.
* Thu Feb 27 2003 - agruen@suse.de
- Fix broken attr_copy_check_permissions() function.
* Wed Feb 26 2003 - agruen@suse.de
- Update to attr-2.4.0 which has our patches integrated.
* Mon Feb 24 2003 - agruen@suse.de
- Increment libattr library version to 1.1.0.
- Fix [#24244] (prevent accidental acl copying on xfs).
- Add symbol level versioning for libattr.
* Thu Feb 13 2003 - agruen@suse.de
- Fix an interface declaration in in the error_context.h header.
* Wed Jan 22 2003 - agruen@suse.de
- Update to attr-2.2.0
- Add EA copying functions patch
- Let mls@suse.de add the following package alias in Autobuild
  for building packages against older releases:
  libattr-devel -> attr-devel [for <= 8.1]
* Tue Jan 21 2003 - agruen@suse.de
- Remove (Prereq: /sbin/ldconfig) tag, and use %%run_ldconfig
  in %%post and %%postun instead.
- attr-devel was renamed to libattr-devel: add missing
  `Obsoletes: attr-devel' tag to libattr-devel.
* Fri Dec 13 2002 - schwab@suse.de
- Fix filelist generation.
* Thu Dec 12 2002 - jderfina@suse.cz
- upgrading to version 2.1.1
- spliting attr to attr (binaries), libattr (libraries, only this package is
  needed for other packages) and libattr-devel (development stuff). This
  spliting follows SGI's release.
* Thu Sep 05 2002 - agruen@suse.de
- Update to version 2.0.11: Adds support for m68k and alpha, minor
  corrections (see attr-2.0.11/doc/CHANGES for details).
* Thu Aug 15 2002 - agruen@suse.de
- Remove the suse_update_config macro and the config.* stuff.
  (According to ro@suse.de this is not necessary.)
- Change the documentation path in builddefs.in instead of in
  configure.in.
- Update to version 2.0.9
* Thu Jun 20 2002 - lmuelle@suse.de
- Remove DESTDIR patch, use DIST_ROOT of package instead
- Update to version 2.0.8
* Wed Jun 12 2002 - ro@suse.de
- fix for ppc64 (it's called powerpc64 in configure)
* Tue May 21 2002 - coolo@suse.de
- build also on archs without xattr syscalls
* Mon May 13 2002 - sf@suse.de
- changed configure.in to use */lib64 as pkg_slib_dir and
  pkg_lib_dir on architectures with lib and lib64
* Wed Apr 24 2002 - mls@suse.de
- support for mips architecture
* Mon Feb 25 2002 - ro@suse.de
- initial package (split from xfstools spec)
